summaryrefslogtreecommitdiffstats
path: root/network/ttcp/ttcp.SlackBuild
diff options
context:
space:
mode:
author Dario Nicodemi <dario.sbo@gmail.com>2010-04-08 21:50:13 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-15 10:25:30 +0200
commita03ccc1bbcd0184feb71aaa606a34deee04abadf (patch)
treeb935925336c1a7f4dc870deeb07842939a334501 /network/ttcp/ttcp.SlackBuild
parente921af5412f1ad773bcbba21688d25b850990be8 (diff)
downloadslackbuilds-a03ccc1bbcd0184feb71aaa606a34deee04abadf.tar.gz
slackbuilds-a03ccc1bbcd0184feb71aaa606a34deee04abadf.tar.xz
network/ttcp: Added (a TCP/UDP benchmarking tool)
Diffstat (limited to 'network/ttcp/ttcp.SlackBuild')
-rwxr-xr-xnetwork/ttcp/ttcp.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/network/ttcp/ttcp.SlackBuild b/network/ttcp/ttcp.SlackBuild
new file mode 100755
index 0000000000..0edd46810a
--- /dev/null
+++ b/network/ttcp/ttcp.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for ttcp
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=ttcp
+VERSION=${VERSION:-1.12}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cp $CWD/$PRGNAM.c $CWD/$PRGNAM.1 $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch the "See Also" section of the man page
+patch -p0 < $CWD/ttcp_man_20100206.patch
+
+gcc $SLKCFLAGS -o $PRGNAM $PRGNAM.c
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+cp $PRGNAM $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+
+cp $PRGNAM.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}